import request from '@/utils/request'

// 查询直播间用户列表
export function watchUserList(query) {
  return request({
    url: '/live/liveWatchUser/watchUserList',
    method: 'get',
    params: query
  })
}
// 查询直播间用户列表
export function getLiveUserTotals(query) {
  return request({
    url: '/live/liveWatchUser/liveUserTotals',
    method: 'get',
    params: query
  })
}

// 直播间用户禁言
export function changeUserStatus(query) {
  return request({
    url: '/live/liveWatchUser/changeUserState',
    method: 'put',
    params: query
  })
}

// 直播间用户禁言
export function blockUser(query) {
  return request({
    url: '/live/liveWatchUser/blockUser/' + query,
    method: 'get',
  })
}

// 查询直播间用户列表
export function dashBoardWatchUserList(query) {
  return request({
    url: '/live/liveWatchUser/dashBoardWatchUserList',
    method: 'get',
    params: query
  })
}

// 获取直播用户观看数据
export function liveWatchUserList(data) {
  return request({
    url: '/live/liveWatchUser/liveWatchUserList',
    method: 'post',
    data: data
  })
}

